base-compat-0.12.1: A compatibility layer for base

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.IO.Compat

Synopsis

- module System.IO
- getContents' :: IO String
- hGetContents' :: Handle -> IO String
- readFile' :: FilePath -> IO String

# Documentation

module System.IO

getContents' :: IO String #

The `getContents'` operation returns all user input as a single string, which is fully read before being returned (same as `hGetContents'` `stdin`).

Since: 4.15.0.0

hGetContents' :: Handle -> IO String #

The `hGetContents'` operation reads all input on the given handle before returning it as a `String` and closing the handle.

Since: 4.15.0.0

readFile' :: FilePath -> IO String #

The `readFile'` function reads a file and returns the contents of the file as a string. The file is fully read before being returned, as with `getContents'`.

Since: 4.15.0.0